apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  labels:
    team: jobbdata
    system: gitops
    component: historical-ads-frontend
    environment: test
  name: historical-ads-frontend
  namespace: openshift-gitops
spec:
  destination:
    namespace: historical-ads-frontend-test
    server: https://kubernetes.default.svc
  project: calamari
  source:
    path: kustomize/overlays/test
    repoURL: git@gitlab.com:arbetsformedlingen/job-ads/historical-ads-frontend.git
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=false
